The Dom\XPath class

- « Dom\XMLDocument

- DOM Functions »

- PHP Manual
- DOM
- The Dom\XPath class

# The Dom\XPath class

(PHP 8 >= 8.4.0)

## Introduction

Allows to use XPath 1.0 queries on HTML or XML documents.

This is the modern, spec-compliant equivalent of DOMXPath.

## Class synopsis

final class Dom\XPath {
/* Properties */
public readonly Dom\Document $document;
public bool $registerNodeNamespaces;
/* Methods */
/* Not documented yet */
}

## Properties

document
  The document that is linked to this object.
registerNodeNamespaces
  When set to `true`, namespaces in the node are registered.